small:
  data-store:
    enabled: true
    resources:
      requests:
        cpu: 200m
        memory: 512Mi
      limits:
        cpu: 500m
        memory: 1Gi  
    postgresql:
      primary:
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 500m
            memory: 1Gi        

  customizer:
    enabled: true
    postgresql:
      primary:
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 500m
            memory: 1Gi        

  evaluator:
    enabled: true
    resources:
      requests:
        cpu: 1000m
        memory: 2Gi
      limits:
        cpu: 2000m
        memory: 4Gi   
    argoWorkflows:
      enabled: true
      crds:
        install: false   
      controller:
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 1000m
            memory: 2Gi        
      server:
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 500m
            memory: 1Gi
    milvus:
      standalone:
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 1000m
            memory: 2Gi      
    postgresql:
      primary:
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 500m
            memory: 1Gi      

  guardrails:
    enabled: true
    resources:
      requests:
        cpu: 500m
        memory: 1Gi
      limits:
        cpu: 1000m
        memory: 2Gi  

  entity-store:
    enabled: true
    postgresql:
      primary:
        resources:
          requests:
            cpu: 250m
            memory: 512Mi
          limits:
            cpu: 500m
            memory: 1Gi      

  nemo-operator:
    enabled: true
    controllerManager:
      kubeRbacProxy:
        resources:
          requests:
            cpu: 5m
            memory: 64Mi
          limits:
            cpu: 500m
            memory: 128Mi
      manager:
        resources:
          requests:
            cpu: 512m
            memory: 1Gi
          limits:
            cpu: 1024m
            memory: 2Gi

  nim-operator:
    enabled: true
    operator:
      resources:
        requests:
          cpu: 200m
          memory: 256Mi
        limits:
          cpu: 500m
          memory: 512Mi

  deployment-management:
    enabled: true
    resources:
      requests:
        cpu: 500m
        memory: 1Gi
      limits:
        cpu: 1000m
        memory: 2Gi  

  nim-proxy:
    enabled: true
    resources:
      requests:
        cpu: 500m
        memory: 1Gi
      limits:
        cpu: 1000m
        memory: 2Gi
            
  volcano:
    enabled: true
    custom:
      admission_enable: true
      admission_replicas: 1
      controller_enable: true
      controller_replicas: 1
      scheduler_enable: true
      scheduler_replicas: 1
      admission_resources:
        requests:
          cpu: 100m
          memory: 128Mi
        limits:
          cpu: 300m
          memory: 300Mi
      scheduler_resources:
        requests:
          cpu: 200m
          memory: 256Mi
        limits:
          cpu: 500m
          memory: 512Mi
      controller_resources:
        requests:
          cpu: 200m
          memory: 256Mi
        limits:
          cpu: 500m
          memory: 512Mi

medium:
  data-store:
    enabled: true
    resources:
      requests:
        cpu: 500m
        memory: 1Gi
      limits:
        cpu: 1000m
        memory: 2Gi  
    postgresql:
      primary:
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 1000m
            memory: 2Gi        

  customizer:
    enabled: true
    postgresql:
      primary:
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 1000m
            memory: 2Gi        

  evaluator:
    enabled: true
    resources:
      requests:
        cpu: 2000m
        memory: 4Gi
      limits:
        cpu: 4000m
        memory: 8Gi   
    argoWorkflows:
      enabled: true
      crds:
        install: false   
      controller:
        resources:
          requests:
            cpu: 1000m
            memory: 2Gi
          limits:
            cpu: 2000m
            memory: 4Gi        
      server:
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 1000m
            memory: 2Gi
    milvus:
      standalone:
        resources:
          requests:
            cpu: 1000m
            memory: 2Gi
          limits:
            cpu: 2000m
            memory: 4Gi      
    postgresql:
      primary:
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 1000m
            memory: 2Gi      

  guardrails:
    enabled: true
    resources:
      requests:
        cpu: 1000m
        memory: 2Gi
      limits:
        cpu: 2000m
        memory: 4Gi  

  entity-store:
    enabled: true
    postgresql:
      primary:
        resources:
          requests:
            cpu: 500m
            memory: 1Gi
          limits:
            cpu: 1000m
            memory: 2Gi      

  nemo-operator:
    enabled: true
    controllerManager:
      kubeRbacProxy:
        resources:
          requests:
            cpu: 100m
            memory: 128Mi
          limits:
            cpu: 250m
            memory: 256Mi
      manager:
        resources:
          requests:
            cpu: 1024m
            memory: 2Gi
          limits:
            cpu: 2048m
            memory: 4Gi

  nim-operator:
    enabled: true
    operator:
      resources:
        requests:
          cpu: 500m
          memory: 512Mi
        limits:
          cpu: 1000m
          memory: 1Gi

  deployment-management:
    enabled: true
    resources:
      requests:
        cpu: 1000m
        memory: 2Gi
      limits:
        cpu: 2000m
        memory: 4Gi  

  nim-proxy:
    enabled: true
    resources:
      requests:
        cpu: 1000m
        memory: 2Gi
      limits:
        cpu: 2000m
        memory: 4Gi
            
  volcano:
    enabled: true
    custom:
      admission_enable: true
      admission_replicas: 1
      controller_enable: true
      controller_replicas: 1
      scheduler_enable: true
      scheduler_replicas: 1
      admission_resources:
        requests:
          cpu: 300m
          memory: 300Mi
        limits:
          cpu: 500m
          memory: 512Mi
      scheduler_resources:
        requests:
          cpu: 500m
          memory: 512Mi
        limits:
          cpu: 1000m
          memory: 1Gi
      controller_resources:
        requests:
          cpu: 500m
          memory: 512Mi
        limits:
          cpu: 1000m
          memory: 1Gi

large:
  data-store:
    enabled: true
    resources:
      requests:
        cpu: 1000m
        memory: 2Gi
      limits:
        cpu: 2000m
        memory: 4Gi  
    postgresql:
      primary:
        resources:
          requests:
            cpu: 1000m
            memory: 2Gi
          limits:
            cpu: 2000m
            memory: 4Gi        

  customizer:
    enabled: true
    postgresql:
      primary:
        resources:
          requests:
            cpu: 1000m
            memory: 2Gi
          limits:
            cpu: 2000m
            memory: 4Gi        

  evaluator:
    enabled: true
    resources:
      requests:
        cpu: 4000m
        memory: 8Gi
      limits:
        cpu: 8000m
        memory: 16Gi   
    argoWorkflows:
      enabled: true
      crds:
        install: false   
      controller:
        resources:
          requests:
            cpu: 2000m
            memory: 4Gi
          limits:
            cpu: 4000m
            memory: 8Gi        
      server:
        resources:
          requests:
            cpu: 1000m
            memory: 2Gi
          limits:
            cpu: 2000m
            memory: 4Gi
    milvus:
      standalone:
        resources:
          requests:
            cpu: 2000m
            memory: 4Gi
          limits:
            cpu: 4000m
            memory: 8Gi      
    postgresql:
      primary:
        resources:
          requests:
            cpu: 1000m
            memory: 2Gi
          limits:
            cpu: 2000m
            memory: 4Gi      

  guardrails:
    enabled: true
    resources:
      requests:
        cpu: 2000m
        memory: 4Gi
      limits:
        cpu: 4000m
        memory: 8Gi  

  entity-store:
    enabled: true
    postgresql:
      primary:
        resources:
          requests:
            cpu: 1000m
            memory: 2Gi
          limits:
            cpu: 2000m
            memory: 4Gi      

  nemo-operator:
    enabled: true
    controllerManager:
      kubeRbacProxy:
        resources:
          requests:
            cpu: 250m
            memory: 256Mi
          limits:
            cpu: 500m
            memory: 512Mi
      manager:
        resources:
          requests:
            cpu: 2048m
            memory: 4Gi
          limits:
            cpu: 4096m
            memory: 8Gi

  nim-operator:
    enabled: true
    operator:
      resources:
        requests:
          cpu: 1000m
          memory: 1Gi
        limits:
          cpu: 2000m
          memory: 2Gi

  deployment-management:
    enabled: true
    resources:
      requests:
        cpu: 2000m
        memory: 4Gi
      limits:
        cpu: 4000m
        memory: 8Gi  

  nim-proxy:
    enabled: true
    resources:
      requests:
        cpu: 2000m
        memory: 4Gi
      limits:
        cpu: 4000m
        memory: 8Gi
            
  volcano:
    enabled: true
    custom:
      admission_enable: true
      admission_replicas: 1
      controller_enable: true
      controller_replicas: 1
      scheduler_enable: true
      scheduler_replicas: 1
      admission_resources:
        requests:
          cpu: 500m
          memory: 512Mi
        limits:
          cpu: 1000m
          memory: 1Gi
      scheduler_resources:
        requests:
          cpu: 1000m
          memory: 1Gi
        limits:
          cpu: 2000m
          memory: 2Gi
      controller_resources:
        requests:
          cpu: 1000m
          memory: 1Gi
        limits:
          cpu: 2000m
          memory: 2Gi